FEDORA-MODULAR-2019-7e30cc5c88

enhancement update in Fedora 30 Modular for tokei:rolling

Status: unpushed

Update to 10.0.0

Comments 10

This update has been submitted for testing by ignatenkobrain.

This update test gating status has been changed to 'waiting'.

This update test gating status has been changed to 'ignored'.

This update has been pushed to testing.

This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes

This upgrade is braking distribution, because the new module requires libgit2: [0.28], but older modules requires libgit2: [0.27]. The module has also a default stream therefore it brakes the whole distribution. It is impossible to enable multiple streams or content from multiple streams at the same time. The issue is identical to module bat, silver. See https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-9e1f634729

karma: -1

getting this error even though I don't have this module enabled or installed

 Problem: module tokei:rolling:3020190620154926:91708529-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module bat:latest:3020190424130937:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests

The module tokei has a default stream. It means that it is enabled by distribution -> maintainer.

Let's unpush this one as well as the rest of the updates that depend on module(libgit2:0.28) already got unpushed.

This update has been unpushed.

Add Comment & Feedback

Please login to add feedback.

Content Type
Module
Status
unpushed
Test Gating
Submitted by
Update Type
enhancement
Update Severity
unspecified
Karma
-1
stable threshold: 3
unstable threshold: -3
Autopush (karma)
Disabled
Autopush (time)
Disabled
Dates
submitted 3 months ago
in testing 3 months ago

Related Bugs 1

00 #1718994 rust-tokei-10.0.0 is available

Automated Test Results